import { queryOptions } from '@tanstack/react-query';

import { IUserInfo } from '@/models/user';

import { axiosInstance } from '../apiConfiguration';

export const usersApi = {
  baseKey: 'users',
  getUsersQueryOptions: () => {
    return queryOptions({
      queryKey: [usersApi.baseKey, 'list'],
      queryFn: meta =>
        axiosInstance.get<IUserInfo[]>(`/users/api/active-users`, {
          signal: meta.signal
        })
    });
  }
};
